package com.mx.dla.dda.contrato.transaccion.terminos.dtos;

public enum PeriodoTipos {

	MINIMO("MINIMO"), 
	REVENUE("REVENUE"), 
	EXCEPCION("EXCEPCION");

	private String desc;

	PeriodoTipos( String desc) {		
		this.desc = desc;
	}

	public String getDesc() {
		return desc;
	}
		
	public static PeriodoTipos getSeccion(String id){
		PeriodoTipos[] values = PeriodoTipos.values();
		
		PeriodoTipos target = null;
		for (PeriodoTipos t : values) {
			if (t.getDesc().equals(id)) {
				target = t;
				break;
			}
		}
		return target;
	}
	
}
